# Get Amazon SNS channels for an application

> **GET** `https://api.us.nylas.com/v3/channels/sns`

Source: https://developer.nylas.com/docs/reference/api/amazon-sns-notifications/get-sns-channels/

Get the Amazon SNS notification channels for an application.


**Authentication:** NYLAS_API_KEY

## Responses

### 200 - List of Amazon SNS channels for an application.

- `data` (array)
  - `id` (string) - A unique identifier for the Amazon SNS notification channel.
  - `description` (string) - A human-readable description of the Amazon SNS notification channel.
  - `trigger_types` (array) - The event that triggers the notification. See the
[notification schemas](/docs/reference/notifications/) for details about each trigger
type.

See the [Grants](/docs/reference/api/manage-grants/), [Calendar](/docs/reference/api/calendar/),
[Events](/docs/reference/api/events/), and [Messages](/docs/reference/api/messages/) references
for information on how to trigger each event type.
  - `topic` (string) - The Amazon SNS topic ARN that Nylas sends notifications to.
  - `role_arn` (string) - The ARN of the IAM role that Nylas assumes to publish messages to the SNS topic.
  - `status` (string) - The status of the Amazon SNS channel.
  - `notification_email_addresses` (array) - The email addresses that Nylas notifies if delivery to the Amazon SNS channel fails.
  - `compressed_delivery` (boolean) - If `true`, Nylas gzip-compresses and then base64-encodes notification payloads before delivering them.
- `request_id` (string) - The unique ID of the request that generated this response.

### 400 - Returns an error.

- `error` (object)
  - `type` (string) - An alphanumeric code that represents the error type.
  - `message` (string) - A human readable message with details about the error.
- `request_id` (string) - The unique ID of the request that generated this response.

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.us.nylas.com/v3/channels/sns/' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <NYLAS_API_KEY>'
```
